Bug 390104 - Several icons look pixelated when I increase display scale under X11
Summary: Several icons look pixelated when I increase display scale under X11
Status: RESOLVED FIXED
Alias: None
Product: kdenlive
Classification: Applications
Component: User Interface (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jean-Baptiste Mardelle
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2018-02-08 20:40 UTC by Patrick Silva
Modified: 2018-03-27 07:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (100.54 KB, image/png)
2018-03-13 16:05 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-02-08 20:40:57 UTC
I use Kdenlive 17.12.2 on Arch Linux, my display scale is 1.2 under X11.
Several icoins (from menus, toolbars and preferences window, for example) look pixelated.
Comment 1 Andrew Crouthamel 2018-03-13 15:55:09 UTC
Could you post some screenshots? If these are just the menus, I've noticed that as well in all applications, it is not specific to kdenlive.
Comment 2 Patrick Silva 2018-03-13 16:05:24 UTC
Created attachment 111373 [details]
screenshot
Comment 3 Andrew Crouthamel 2018-03-25 04:11:59 UTC
I confirm this issue on my system. I plan on working on this shortly.
Comment 4 Andrew Crouthamel 2018-03-27 03:36:45 UTC
I'm having MLT issues, this may be best for JB to fix. Most likely needs the following in main.cpp:

 QGuiApplication::setAttribute(Qt::AA_UseHighDpiPixmaps);
Comment 5 Jean-Baptiste Mardelle 2018-03-27 07:17:21 UTC
Git commit 42249e5007ba38ecf266d793685194ed3117deaf by Jean-Baptiste Mardelle.
Committed on 27/03/2018 at 07:16.
Pushed by mardelle into branch 'Applications/18.04'.

Fix lowres icons on highdpi
patch by Andrew Crouthamel

M  +1    -0    src/main.cpp

https://commits.kde.org/kdenlive/42249e5007ba38ecf266d793685194ed3117deaf
Comment 6 Jean-Baptiste Mardelle 2018-03-27 07:20:18 UTC
Git commit 5cf26acf52242a3331317da5076675fa2da6c5b8 by Jean-Baptiste Mardelle.
Committed on 27/03/2018 at 07:19.
Pushed by mardelle into branch 'refactoring_timeline'.

Fix lowres icons on highdpi
patch by Andrew Crouthamel

M  +2    -1    src/main.cpp

https://commits.kde.org/kdenlive/5cf26acf52242a3331317da5076675fa2da6c5b8